Bug 175167 - [Maintainer Update] sysutils/diskscrub 2.2 -> 2.5.2
[Maintainer Update] sysutils/diskscrub 2.2 -> 2.5.2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Alex Kozlov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-09 20:40 UTC by erik
Modified: 2013-01-12 04:00 UTC (History)
1 user (show)

See Also:


Attachments
sysutils_diskscrub.patch (2.27 KB, patch)
2013-01-09 20:40 UTC, erik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description erik 2013-01-09 20:40:00 UTC
Update from 2.2 to 2.5.2.
files/extrapatch-freebsd4 is deleted
files/patch-src_util.h is added
Updated header to new style.
Comment 1 dfilter freebsd_committer 2013-01-12 03:55:19 UTC
Author: ak
Date: Sat Jan 12 03:55:10 2013
New Revision: 310261
URL: http://svnweb.freebsd.org/changeset/ports/310261

Log:
  - Update to 2.5.2
  - Convert Makefile headers to new style
  
  PR:	ports/175167
  Submitted by:	Erik Greenwald <erik@bz.bzflag.bz> (maintainer)

Added:
  head/sysutils/diskscrub/files/patch-src_util.h   (contents, props changed)
Deleted:
  head/sysutils/diskscrub/files/extrapatch-freebsd4
Modified:
  head/sysutils/diskscrub/Makefile   (contents, props changed)
  head/sysutils/diskscrub/distinfo   (contents, props changed)

Modified: head/sysutils/diskscrub/Makefile
==============================================================================
--- head/sysutils/diskscrub/Makefile	Sat Jan 12 03:06:37 2013	(r310260)
+++ head/sysutils/diskscrub/Makefile	Sat Jan 12 03:55:10 2013	(r310261)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	diskscrub
-# Date created:		28 November 2006
-# Whom:			Erik Greenwald <erik@smluc.org>
-#
+# Created by: Erik Greenwald <erik@smluc.org>
 # $FreeBSD$
-#
 
 PORTNAME=	diskscrub
-PORTVERSION=	2.2
+PORTVERSION=	2.5.2
 CATEGORIES=	sysutils
 MASTER_SITES=	GOOGLE_CODE
 DISTNAME=	scrub-${PORTVERSION}

Modified: head/sysutils/diskscrub/distinfo
==============================================================================
--- head/sysutils/diskscrub/distinfo	Sat Jan 12 03:06:37 2013	(r310260)
+++ head/sysutils/diskscrub/distinfo	Sat Jan 12 03:55:10 2013	(r310261)
@@ -1,2 +1,2 @@
-SHA256 (scrub-2.2.tar.bz2) = cb1e6f06c4e9d7b54acebb8a04f51a4e2d2a61a8c4f009796f1f825301b2da17
-SIZE (scrub-2.2.tar.bz2) = 145004
+SHA256 (scrub-2.5.2.tar.bz2) = 51ee4963759cf07b186bb583ef2839618c1131bbbbdfae849ca76a2259cbc461
+SIZE (scrub-2.5.2.tar.bz2) = 161468

Added: head/sysutils/diskscrub/files/patch-src_util.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/diskscrub/files/patch-src_util.h	Sat Jan 12 03:55:10 2013	(r310261)
@@ -0,0 +1,11 @@
+--- src/util.h.orig	2013-01-09 15:24:03.000000000 -0500
++++ src/util.h	2013-01-09 15:24:22.000000000 -0500
+@@ -24,6 +24,8 @@
+  *  59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
+ \*****************************************************************************/
+ 
++#include <sys/mman.h>
++
+ #ifdef HAVE_STDBOOL_H
+ #include <stdbool.h>
+ #else
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 Alex Kozlov freebsd_committer 2013-01-12 03:56:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ak

I'll take it.
Comment 3 Alex Kozlov freebsd_committer 2013-01-12 03:56:09 UTC
State Changed
From-To: open->closed

Committed. Thanks!